#!/bin/sh
# $FreeBSD: ports/mail/rabl_server/files/rabl_server.sh.in,v 1.2 2005/12/11 23:58:09 lawrance Exp $
# $Tecnik: ports/mail/rabl_server/files/rabl_server.sh.in,v 1.4 2005/12/09 19:55:53 itetcu Exp $
#

# PROVIDE: rabl_server
# REQUIRE: DAEMON
# BEFORE: mail
# KEYWORD: shutdown

#
# Add the following lines to /etc/rc.conf[.local] to enable rabl_server:
#
# rabl_server_enable="YES"
# User variables:
# rabl_server_conf - conf file to use (default: /usr/local/etc/${name}.conf)
# rabl_server_user - user to run as (default: bind)
#

. /etc/rc.subr

name=rabl_server
rcvar=`set_rcvar`

command=/usr/local/bin/${name}
required_files=/usr/local/etc/${name}.conf

extra_commands=reload

# set defaults
rabl_server_enable=${rabl_server_enable:-"NO"}

load_rc_config $name

rabl_server_user=${rabl_server_user:-"bind"}
rabl_server_conf=${rabl_server_conf:-"/usr/local/etc/${name}.conf"}

rabl_server_flags="-c ${rabl_server_conf} -u ${rabl_server_user} &"

run_rc_command "$1"
